//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Perforce.ViewModel {
    public class TagSelectorViewModel : ViewModelBase {

        public TagSelectorViewModel(FavoriteTagItem item) {
            _item = item;
        }

        private FavoriteTagItem _item;

        public FavoriteTagItem Item {
            get { return _item; }
            set {
                _item = value;
                OnPropertyChanged(string.Empty);
            }
        }

        public string TagName {
            get { return _item.TagName; }
        }

        public bool Selected {
            get { return _item.Selected; }
            set {
                _item.Selected = value;
                var helper = Utility.GetFavoritesHelper();
                helper.SaveFavoriteTag(_item);
                OnPropertyChanged("Selected");
            }
        }
        
    }
}
